import "Equendil.Utils";
import "Equendil.LIP.App";

-- create the application
lip = Equendil.LIP.App();

-- add a command to bring up the window
command = Turbine.ShellCommand();

function command:Execute( command, arguments )
	if arguments == "show" then
		lip:SetVisible( true );
		lip:Activate();
	elseif arguments == "hide" then
		lip:Close();
	elseif arguments == "" then
		-- toggle the application window by default
		if lip:IsVisible() then
			lip:SetVisible( false );
		else
			lip:SetVisible( true );
			lip:Activate();
		end
	end
end

function command:GetHelp()
	return "usage: /lip [show|hide|toggle]: show/hide/toggles the Legendary Item Planner interface";
end

function command:GetShortHelp()
	return "/lip [show|hide|toggle]: show/hide/toggles the Legendary Item Planner interface";
end


Turbine.Shell.AddCommand( "lip", command );
